package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 端口綁定的IP
 * 
 * @author tangcq
 *
 */
@Table("port_fixedip")
public class PortFixedIp extends Generic {
	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	@Column("port_id")
	private Long portId;// 端口id
	@Column("port_uuid")
	private String portUuid;// 端口uuid
	@Column("ip_address")
	private String ipAddress;// IP地址
	@Column("subnet_id")
	private Long subnetId;
	@Column("subnet_uuid")
	private String subnetUuid;// 端口id

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPortId() {
		return portId;
	}

	public void setPortId(Long portId) {
		this.portId = portId;
	}

	public String getPortUuid() {
		return portUuid;
	}

	public void setPortUuid(String portUuid) {
		this.portUuid = portUuid;
	}

	public String getIpAddress() {
		return ipAddress;
	}

	public void setIpAddress(String ipAddress) {
		this.ipAddress = ipAddress;
	}

	public Long getSubnetId() {
		return subnetId;
	}

	public void setSubnetId(Long subnetId) {
		this.subnetId = subnetId;
	}

	public String getSubnetUuid() {
		return subnetUuid;
	}

	public void setSubnetUuid(String subnetUuid) {
		this.subnetUuid = subnetUuid;
	}

	public PortFixedIp(Long portId, String portUuid, String ipAddress, Long subnetId, String subnetUuid) {
		super();
		this.portId = portId;
		this.portUuid = portUuid;
		this.ipAddress = ipAddress;
		this.subnetId = subnetId;
		this.subnetUuid = subnetUuid;
	}

	public PortFixedIp() {
		super();
	}

}
